# Retrieve_Auth_Token

Provides a bearer token that will last for an hour.

`POST /v2/auth/get-token `

**API:** Avalara CertCapture RESTful APIs
**Tag:** Bearer Token
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Bearer%20Token/Retrieve_Auth_Token/

## Description

Provides a bearer token that will last for an hour.  You can use /v2/auth/refresh-token to extend the time.
      Note:  This is NOT for eCommerce.  Please refer to to the eCommerce section.

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `BearerTokenGet` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `BearerTokenGet`

The CertCapture API can also handle authentication by Bearer token, you will still need a username/password to generate a token and that token will last for an hour.
       NOTE: This authentication method cannot be used for eCommerce plugin, please refer eCommerce Token section to generate eCommerce token using API user credentials.

| Property | Type | Required | Description |
|---|---|---|---|
| `response` | object[] | No |  |

## Example Request

```bash
curl -X POST "https://sbx-api.certcapture.com/v2/v2/auth/get-token " \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```